MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025708Community[OCCT] OCCT:Modeling Algorithmspublic2015-01-14 15:522015-05-14 15:32
Reporteralexzkw 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2008OS Version64 bit
Product Version[OCCT] 6.8.0 
Target Version[OCCT] 6.9.0Fixed in Version[OCCT] 6.9.0 
Summary0025708: GeomAPI_ExtremaCurveCurve does not return all intersection points in 6.8.0
DescriptionI added the two geometries for intersection. In the older version 6.7.1, GeomAPI_ExtremaCurveCurve correctly returned two points, now with 6.8.0 I only got one.
Steps To Reproducerestore interior.brep b
explode b E
mkcurve c1 b_1
mkcurve c2 b_2

1) extrema c1 c2
2) extrema c2 c1

should return 2 extrema points with distance lower than 1.0e-14
TagsNo tags attached.
Test case numberbugs modalg_5(010) bug25708
Attached Files? file icon interror.brep (2,734 bytes) 2015-01-14 15:52

- Relationships

-  Notes
(0036129)
git (administrator)
2015-01-16 10:38

Branch CR25708 has been created by aml.

SHA-1: 9e8270873dfe76c541b9a38f50b468c7558c3d65


Detailed log of new commits:

Author: aml
Date: Fri Jan 16 08:23:12 2015 +0300

    0025708: GeomAPI_ExtremaCurveCurve does not return all intersection points in 6.8.0
    
    Added expanding coefficients between neighboring indexes, changed local optimization starting condition.
(0036201)
git (administrator)
2015-01-19 13:54

Branch CR25708 has been updated forcibly by aml.

SHA-1: 77b0eefab2b1229a9a06b141cd1eeba5250f26d1
(0036202)
aml (developer)
2015-01-19 13:59

Dear msv,

Please check current state of branch CR25708.
(0036221)
msv (developer)
2015-01-19 19:48

Reviewed.
(0036914)
git (administrator)
2015-01-30 16:53

Branch CR25708 has been updated forcibly by mkv.

SHA-1: 83cb3b7669056de9151ba45fb9883613a2a8c00b
(0037073)
mkv (tester)
2015-02-04 15:49

Dear BugMaster,
Branch CR25708 was rebased on current master of occt git-repository.
(0037074)
mkv (tester)
2015-02-04 15:52

Dear BugMaster,
Branch CR25708 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 83cb3b7669056de9151ba45fb9883613a2a8c00b

Number of compiler warnings:

occt component :
Linux: 18 (18 on master)
Windows: 0 (0 on master)

products component :
Linux: 11 (11 on master)
Windows: 1 (1 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
http://occt-tests/CR25708-master-occt/Debian60-64/bugs/modalg_5/bug25708.html [^]
http://occt-tests/CR25708-master-occt/Windows-32-VC10/bugs/modalg_5/bug25708.html [^]
bugs modalg_5(010) bug25708: FAILED

Testing on Linux:
occt component :
Total MEMORY difference: 369730780 / 370076844
Total CPU difference: 53874.8999999999 / 49863.81000000002
products component :
Total MEMORY difference: 110877288 / 110876600
Total CPU difference: 16925.029999999973 / 15940.909999999973

Testing on Windows:
occt component :
Total MEMORY difference: 276219852 / 276276616
Total CPU difference: 45680.734375 / 36894.0
products component :
Total MEMORY difference: 72540568 / 71401072
Total CPU difference: 11348.703125 / 11731.96875

There are no differences in images found by testdiff.
(0037075)
git (administrator)
2015-02-04 15:53

Branch CR25708 has been updated by mkv.

SHA-1: 41a6ff750114ce2aaa471d4cc446832dcb581fbb


Detailed log of new commits:

Author: mkv
Date: Wed Feb 4 15:48:50 2015 +0300

    Test case for issue CR25708

(0037076)
mkv (tester)
2015-02-04 15:53

Dear aml,
could you please review test case
bugs modalg_5(010) bug25708
(0037097)
aml (developer)
2015-02-05 07:39

Dear mkv,

"distmini" command is applicable to the topology objects, but c1 and c2 is geometry objects.
Distance may be obtained using "dump" command.

Draw[11]> dump ext_1


*********** Dump of ext_1 *************
Trimmed curve
Parameters : 0 3.66205343881779e-015
Basis curve :
Line
  Origin :-2.78896588927934, 19.8045870764436, 0
  Axis :-0.242535625036333, 0.970142500145332, 0


3.66205343881779e-015 - is distance. Please update distance check.
(0037114)
git (administrator)
2015-02-05 13:32

Branch CR25708 has been updated by mkv.

SHA-1: b9d21ec61c827212be73688e353388dd0e694c9d


Detailed log of new commits:

Author: mkv
Date: Thu Feb 5 13:32:01 2015 +0300

    Test case for issue CR25708

(0037115)
mkv (tester)
2015-02-05 13:33
edited on: 2015-02-05 14:12

Branch CR25708 is TESTED

Testing cases:
http://occt-tests/CR25708-master-occt/Debian60-64/bugs/modalg_5/bug25708.html [^]
http://occt-tests/CR25708-master-occt/Windows-32-VC10/bugs/modalg_5/bug25708.html [^]
bugs modalg_5(010) bug25708: OK

(0038557)
git (administrator)
2015-03-18 13:36

Branch CR25708 has been deleted by inv.

SHA-1: b9d21ec61c827212be73688e353388dd0e694c9d

- Related Changesets
occt: master 3f733bb1
Timestamp: 2015-02-05 13:01:40
Author: aml
Committer: bugmaster
Details ] Diff ]
0025708: GeomAPI_ExtremaCurveCurve does not return all intersection points in 6.8.0

Added expanding coefficients between neighboring indexes, changed local optimization starting condition.

Test case for issue CR25708
mod - src/math/math_GlobOptMin.cxx Diff ] File ]
mod - src/math/math_GlobOptMin.hxx Diff ] File ]
mod - tests/bugs/modalg_5/bug23706_14 Diff ] File ]
add - tests/bugs/modalg_5/bug25708 Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-01-14 15:52 alexzkw New Issue
2015-01-14 15:52 alexzkw Assigned To => msv
2015-01-14 15:52 alexzkw File Added: interror.brep
2015-01-15 09:33 msv Assigned To msv => aml
2015-01-15 09:33 msv Status new => assigned
2015-01-16 10:38 git Note Added: 0036129
2015-01-19 13:54 git Note Added: 0036201
2015-01-19 13:59 aml Note Added: 0036202
2015-01-19 13:59 aml Assigned To aml => msv
2015-01-19 13:59 aml Status assigned => resolved
2015-01-19 13:59 aml Steps to Reproduce Updated View Revisions
2015-01-19 19:48 msv Note Added: 0036221
2015-01-19 19:48 msv Assigned To msv => bugmaster
2015-01-19 19:48 msv Status resolved => reviewed
2015-01-30 14:42 mkv Assigned To bugmaster => mkv
2015-01-30 16:53 git Note Added: 0036914
2015-02-04 15:49 mkv Note Added: 0037073
2015-02-04 15:52 mkv Note Added: 0037074
2015-02-04 15:53 git Note Added: 0037075
2015-02-04 15:53 mkv Note Added: 0037076
2015-02-04 15:53 mkv Assigned To mkv => aml
2015-02-04 15:53 mkv Status reviewed => assigned
2015-02-05 07:39 aml Note Added: 0037097
2015-02-05 07:39 aml Assigned To aml => mkv
2015-02-05 07:39 aml Status assigned => feedback
2015-02-05 13:32 git Note Added: 0037114
2015-02-05 13:33 mkv Note Added: 0037115
2015-02-05 13:33 mkv Assigned To mkv => bugmaster
2015-02-05 13:33 mkv Status feedback => tested
2015-02-05 13:33 mkv Test case number => bugs modalg_5(010) bug25708
2015-02-05 14:12 mkv Note Edited: 0037115 View Revisions
2015-02-06 15:38 bugmaster Changeset attached => occt master 3f733bb1
2015-02-06 15:38 bugmaster Status tested => verified
2015-02-06 15:38 bugmaster Resolution open => fixed
2015-02-09 11:05 bugmaster Target Version => 6.9.0
2015-03-18 13:36 git Note Added: 0038557
2015-05-14 15:29 user533 Status verified => closed
2015-05-14 15:32 user533 Fixed in Version => 6.9.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker